ata_fill_sg
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_fill_sg — Fill PCI IDE PRD table

## Synopsis

`void ata_fill_sg (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  Metadata associated with taskfile to be transferred

## Description

Fill PCI IDE PRD (scatter-gather) table with segments associated with the current disk command.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_sg_clean | Home | ata_fill_sg_dumb